import { jsx } from "react/jsx-runtime";
import { TokenVSYS as TokenVSYS$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenVSYS = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "VSYS", "data-name": "TokenVSYS", ...props, children: /* @__PURE__ */ jsx(TokenVSYS$1, { variant }) });
  }
);
TokenVSYS.displayName = "TokenVSYS";
Object.assign(TokenVSYS, { isGdsIcon: true });
export {
  TokenVSYS
};
